<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head>
</head>
<body>

	<th:block data-th-fragment="globalErrors">
		<div data-th-text="#{errors.messages}">Fehlermeldungen</div>
		<ul class="error">
			<li data-th-each="err : ${#fields.errors('global')}" data-th-text="${err}" />
		</ul>
	</th:block>

	<th:block data-th-fragment="text">
		<th:block data-th-if="${#fields.hasErrors('__${field}__')}" data-th-replace="::fieldError(${field})" />
		<th:block data-th-replace="::simpleInput(field=${field}, fieldname=${fieldname ?: field}, fieldplaceholder=${fieldplaceholder ?: (fieldname ?: field)}, type='text')" />
	</th:block>

	<th:block data-th-fragment="textWithChangeWatcher">
		<th:block data-th-if="${#fields.hasErrors('__${field}__')}" data-th-replace="::fieldError(${field})" />
		<th:block data-th-replace="::inputWithChangeWatcher(field=${field}, fieldname=${fieldname ?: field}, fieldplaceholder=${fieldplaceholder ?: (fieldname ?: field)}, type='text', datalist=${datalist})" />
	</th:block>

	<th:block data-th-fragment="date">
		<th:block data-th-if="${#fields.hasErrors('__${field}__')}" data-th-replace="::fieldError(${field})" />
		<th:block data-th-replace="::simpleInput(field=${field}, fieldname=${fieldname ?: field}, fieldplaceholder=${fieldplaceholder ?: (fieldname ?: field)}, type='date')" />
	</th:block>

	<th:block data-th-fragment="number">
		<th:block data-th-if="${#fields.hasErrors('__${field}__')}" data-th-replace="::fieldError(${field})" />
		<th:block data-th-replace="::simpleInput(field=${field}, fieldname=${fieldname ?: field}, fieldplaceholder=${fieldplaceholder ?: (fieldname ?: field)}, type='number')" />
	</th:block>

	<th:block data-th-fragment="singleSelect">
		<th:block data-th-if="${#fields.hasErrors('__${field}__')}" data-th-replace="::fieldError(${field})" />
		<th:block data-th-replace="::select(field=${field}, fieldname=${fieldname ?: field}, options=${options}, optionId=${optionId ?: 'id'}, optionName=${optionName ?: 'name'}, allowNull=${allowNull ?: true})" />
	</th:block>

	<th:block data-th-fragment="longText">
		<th:block data-th-if="${#fields.hasErrors('__${field}__')}" data-th-replace="::fieldError(${field})" />
		<th:block data-th-replace="::textarea(field=${field}, fieldname=${fieldname ?: field}, fieldplaceholder=${fieldplaceholder ?: (fieldname ?: field)})" />
	</th:block>

	<th:block data-th-fragment="textarea(field, fieldname, fieldplaceholder)">
		<label data-th-for="${field}" data-th-text="#{__${fieldname}__}">Field Name</label>
		<textarea data-th-field="*{__${field}__}" data-th-placeholder="#{__${fieldplaceholder}__}"></textarea>
	</th:block>

    <th:block data-th-fragment="inputWithChangeWatcher(field, fieldname, fieldplaceholder, type, datalist)">
        <label data-th-for="${field}" data-th-text="#{__${fieldname}__}">Field Name</label>
        <input data-th-type="${type}" data-th-field="*{__${field}__}" data-th-errorclass="error" data-th-placeholder="#{__${fieldplaceholder}__}" data-th-list="__${datalist}__" data-th-oninput="'javascript:inputChanged(\''+__${field}__+'\', \''+__${datalist}__+'\');'" />
    </th:block>


    <th:block data-th-fragment="simpleInput(field, fieldname, fieldplaceholder, type)">
		<label data-th-for="${field}" data-th-text="#{__${fieldname}__}">Field Name</label>
		<input data-th-type="${type}" data-th-field="*{__${field}__}" data-th-errorclass="error" data-th-placeholder="#{__${fieldplaceholder}__}" />
	</th:block>

	<th:block data-th-fragment="select(field, fieldname, options, optionId, optionName, allowNull)" th:with="enumSelection=${enumSelection ?: false}">
		<label data-th-for="${field}" data-th-text="#{__${fieldname}__}">Field Name</label>
		<select data-th-field="*{__${field}__}" data-th-errorclass="error">
			<option data-th-if="${allowNull == true}" value="">------</option>
			<th:block data-th-unless="${enumSelection}">
				<option data-th-each="option: ${options}" data-th-value="${option.__${optionId ?: 'id'}__}" data-th-text="${option.__${optionName ?: 'name'}__}">Option</option>
			</th:block>
			<th:block data-th-if="${enumSelection}">
				<option data-th-each="option: ${options}" data-th-value="${option}" data-th-text="#{${option}}">Option</option>
			</th:block>
		</select>
	</th:block>

	<th:block data-th-fragment="fieldError(field)">
		<th:block data-th-if="${#fields.hasErrors('__${field}__')}">
			<div></div>
			<div data-th-errors="*{__${field}__}"></div>
		</th:block>
	</th:block>
</body>
</html>